.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the RectangleShape2D.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_RectangleShape2D:

RectangleShape2D
================

**Inherits:** :ref:`Shape2D<class_shape2d>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Rectangle shape for 2D collisions.

Member Variables
----------------

  .. _class_RectangleShape2D_extents:

- :ref:`Vector2<class_vector2>` **extents** - The rectangle's half extents. The width and height of this shape is twice the half extents.


Description
-----------

Rectangle shape for 2D collisions. This shape is useful for modeling box-like 2D objects.

